<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


only_level();

$set['title']='Админка';
include_once '../sys/inc/thead.php';
title();
if(isset($_POST['ok'])){
$id_user=intval($_POST['id_user']);
$zapret=intval($_POST['zapret']);
if(!isset($_POST['id_user']) && $id_user<1)$err='Вы не ввели ид пользователя';
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `video_zapret` WHERE `id_user`='$id_user' AND `zapret`='$zapret'"),0)==1)$err='Этот пользователь уже есть в списке';
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id`='$id_user'"),0)==0)$err='Такого пользователя не существует';
if(!isset($err)){
mysql_query("INSERT INTO `video_zapret` (`id_user`, `zapret`)
VALUES ('$id_user', '$zapret')");
msg('Пользователь добавлен в список запрета');
unset($_POST['id_user']);
}
}
if(isset($_GET['zapret'])){
if(isset($_GET['zapret']) && $_GET['zapret']=='album')
mysql_query("DELETE FROM `video_zapret` WHERE `id_user` = '".intval($_GET['id_user'])."' AND `zapret` = '1' LIMIT 1");
if(isset($_GET['zapret']) && $_GET['zapret']=='video')
mysql_query("DELETE FROM `video_zapret` WHERE `id_user` = '".intval($_GET['id_user'])."' AND `zapret` = '0' LIMIT 1");
msg('Запрет снят');
}

err();
aut();



echo "<form class=\"foot\" action=\"\" method=\"post\">";

echo "Введите id пользователя: <br />\n";
echo "<input name=\"id_user\" type=\"text\" /><br />\n";
echo "Запретить:<br />\n<select name='zapret'>\n";
echo "<option value='1'>Создание альбома</option>\n";
echo "<option value='0'>Выгрузку видео</option>\n";
echo "</select><br />\n";
echo "<input class=\"submit\" name=\"ok\" type=\"submit\" value=\"Сохранить\" /><br />\n";
echo "</form>";

#########
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `video_zapret`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
$q=mysql_query("SELECT * FROM `video_zapret` ORDER BY id DESC LIMIT $start, $set[p_str]");
if (mysql_num_rows($q)==0) {
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет пользователей\n";
echo "  </td>\n";
echo "   </tr>\n";
}
while ($v = mysql_fetch_assoc($q))
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$v[id_user]'"));
echo "<img src='name.gif' /> ";
echo online($ank['id'])." <a href='/info.php?id=$ank[id]' title='Анкета \"$ank[nick]\"'><b>$ank[nick]</a><br/>\n";
echo "  </td>\n";
echo "  </tr>\n";
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Запрещено: <br />";
if($v['zapret']==1)echo "<font color='green'>Создание альбома</font> | <a href='?id_user=$ank[id]&amp;zapret=album'>Снять запрет</a><br />";
if($v['zapret']==0)echo "<font color='green'>Выгрузка видео</font> | <a href='?id_user=$ank[id]&amp;zapret=video'>Снять запрет</a><br />";
echo "  </td>\n";
echo "  </tr>\n";
}
echo "</table>\n";
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
echo "<div class='foot'>\n";
echo "<img src='back.png' /> <a href='index.php'>Видеоальбомы</a><br />\n";
echo "</div>\n";


include_once '../sys/inc/tfoot.php';
?>